ADAM_2.12: CLI 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package cli
  Definition Classes
    adam
- ADAM2Fastq
- ADAM2FastqArgs
- ADAMMain
- ADAMModule
- About
- CommandGroup
- CountReadKmers
- CountReadKmersArgs
- CountSliceKmers
- CountSliceKmersArgs
- Coverage
- CoverageArgs
- FlagStat
- FlagStatArgs
- MergeShards
- MergeShardsArgs
- PrintADAM
- PrintADAMArgs
- TransformAlignments
- TransformAlignmentsArgs
- TransformFeatures
- TransformFeaturesArgs
- TransformFragments
- TransformFragmentsArgs
- TransformGenotypes
- TransformGenotypesArgs
- TransformSequences
- TransformSequencesArgs
- TransformSlices
- TransformSlicesArgs
- TransformVariants
- TransformVariantsArgs
- View
- ViewArgs

c

org.bdgenomics.adam.cli

# TransformAlignments 

###
Companion object TransformAlignments

#### class TransformAlignments extends BDGSparkCommand[TransformAlignmentsArgs] with Logging

Linear Supertypes
BDGSparkCommand[TransformAlignmentsArgs], Logging, BDGCommand, Runnable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TransformAlignments
2. BDGSparkCommand
3. Logging
4. BDGCommand
5. Runnable
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new TransformAlignments(args: TransformAlignmentsArgs)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(ds: AlignmentDataset): AlignmentDataset
5.  val args: TransformAlignmentsArgs
   Attributes
     protected
   Definition Classes
     TransformAlignments → BDGSparkCommand
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
8.  val companion: TransformAlignments.type
   Definition Classes
     TransformAlignments → BDGCommand
9.  def debug(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
   Attributes
     protected
   Definition Classes
     Logging
10.  def debug(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
11.  def debug(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  def error(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
15.  def error(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
16.  def error(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
17.  def forceNonParquet(): Boolean
18.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
20.  def info(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
21.  def info(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
22.  def info(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
23.  def isDebugEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
24.  def isErrorEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
25.  def isInfoEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
26.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
27.  def isNonParquet(inputPath: String): Boolean
28.  def isTraceEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
29.  def isWarnEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
30.  def logger: Logger
    Attributes
      protected
    Definition Classes
      Logging
31.  def loggerName: String
    Attributes
      protected
    Definition Classes
      Logging
32.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
33.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
34.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
35.  def run(sc: SparkContext): Unit
    Definition Classes
      TransformAlignments → BDGSparkCommand
36.  def run(): Unit
    Definition Classes
      BDGSparkCommand → Runnable
37.  val stringency: ValidationStringency
38.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
39.  def toString(): String
    Definition Classes
      AnyRef → Any
40.  def trace(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
41.  def trace(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
42.  def trace(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
43.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
44.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
45.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
46.  def warn(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
47.  def warn(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
48.  def warn(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from BDGSparkCommand[TransformAlignmentsArgs]

### Inherited from Logging

### Inherited from BDGCommand

### Inherited from Runnable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped